
/*
 * $Id: PopModel.h,v 1.2 1999/04/15 20:36:08 rousskov Exp $
 *
 *
 * Web Polygraph  http://www.ircache.net/Polygraph/
 * ----------------------------------------------------------
 *
 *  Web Polygraph is copyrighted(C) 1998 by Alex Rousskov and
 *  the University of California, San Diego (UCSD), with all 
 *  rights reserved. Development is funded by the National Science
 *  Foundation (NLANR Cache grants NCR 9616602 and NCR 9521745).
 *  Please see the COPYRIGHT file for full details.
 *
 *  Web Polygraph is free software. You may copy and distribute 
 *  VERBATIM copies of this product. You may modify your copy 
 *  for your own use. You must NOT distribute modified copies.
 *
 *  If you publish any materials derived from or related to  
 *  Web Polygraph, you must give a credit reference to the
 *  National Science Foundation and the National Laboratory 
 *  for Applied Network Research.
 *
 *  This program is distributed WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.
 *
 */

#ifndef POPULARITY_MODEL_H
#define POPULARITY_MODEL_H

class ostream;

// popularity model
class PopModel {
	public:
		PopModel() {}
		virtual ~PopModel() {}

		// any old id will do
		virtual int repeatId(int lastId) = 0;

		// try to choose one from a given selection
		// repeat any old Oid if failed
		// virtual int repeatOid(const OidSelection &sel, bool cachable) = 0;

		virtual ostream &print(ostream &os) const = 0;
};

inline
ostream &operator <<(ostream &os, const PopModel &pm) { return pm.print(os); }

#endif
