#ifndef GLOBALS_H
#define GLOBALS_H

/*
 * $Id: globals.h,v 1.6 1999/04/25 04:06:11 rousskov Exp $
 *
 *
 * Web Polygraph  http://www.ircache.net/Polygraph/
 * ----------------------------------------------------------
 *
 *  Web Polygraph is copyrighted(C) 1998 by Alex Rousskov and
 *  the University of California, San Diego (UCSD), with all 
 *  rights reserved. Development is funded by the National Science
 *  Foundation (NLANR Cache grants NCR 9616602 and NCR 9521745).
 *  Please see the COPYRIGHT file for full details.
 *
 *  Web Polygraph is free software. You may copy and distribute 
 *  VERBATIM copies of this product. You may modify your copy 
 *  for your own use. You must NOT distribute modified copies.
 *
 *  If you publish any materials derived from or related to  
 *  Web Polygraph, you must give a credit reference to the
 *  National Science Foundation and the National Laboratory 
 *  for Applied Network Research.
 *
 *  This program is distributed WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.
 *
 */

#include "LibInit.h"

// argv[0]
class String;
extern String ThePrgName;

// simulation progress
class Progress;
extern Progress TheProgress;

// Log
class OLog;
extern OLog *TheLog_;
inline OLog &TheLog() { return *TheLog_; }


class PortMgr;
extern PortMgr *ThePortMgr;

class Select;
extern Select *TheSelect;

class StatPing;
class StatSoft;
class StatPhaseMgr;
extern StatPing ThePinger;
extern StatSoft TheSoOftenPinger;
extern StatPhaseMgr TheStatPhaseMgr;
//#define CallStat(a,b) void(0)
#define CallStat(pinger, method) pinger.method, TheStatPhaseMgr->method

// XXX: move to parser module?
class RndDistr;
extern RndDistr *LoadTblDistr(const String &fname, const String &argType);

LIB_INITIALIZER(GlobInit)

#endif
